From: Sophie Brun <sophie@offensive-security.com>
Date: Wed, 11 Dec 2019 16:42:40 +0100
Subject: Disable the update option

Description: disable the update option. Kali user must use apt to update
the tool.
Last-Update: 2019-12-11
---
 photon.py | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/photon.py b/photon.py
index 8274db1..5335946 100644
--- a/photon.py
+++ b/photon.py
@@ -34,7 +34,7 @@ from core.flash import flash
 from core.mirror import mirror
 from core.prompt import prompt
 from core.requester import requester
-from core.updater import updater
+#from core.updater import updater
 from core.utils import top_level, extract_headers, verb, is_link, entropy, regxy, remove_regex, timer, writer
 from core.zap import zap
 
@@ -77,8 +77,8 @@ parser.add_argument('--dns', help='enumerate subdomains and DNS data',
                     dest='dns', action='store_true')
 parser.add_argument('--keys', help='find secret keys', dest='api',
                     action='store_true')
-parser.add_argument('--update', help='update photon', dest='update',
-                    action='store_true')
+#parser.add_argument('--update', help='update photon', dest='update',
+#                    action='store_true')
 parser.add_argument('--only-urls', help='only extract URLs', dest='only_urls',
                     action='store_true')
 parser.add_argument('--wayback', help='fetch URLs from archive.org as seeds',
@@ -87,9 +87,9 @@ args = parser.parse_args()
 
 
 # If the user has supplied --update argument
-if args.update:
-    updater()
-    quit()
+#if args.update:
+#    updater()
+#    quit()
 
 # If the user has supplied a URL
 if args.root:
